curl --request POST \
--url https://workspace.example.com/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"events": [
{
"event_id": "<string>",
"event_type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source_account_id": "<string>",
"deleted": false,
"properties": {},
"source": "product",
"source_revision": 1
}
]
}
'import requests
url = "https://workspace.example.com/v1/events"
payload = { "events": [
{
"event_id": "<string>",
"event_type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source_account_id": "<string>",
"deleted": False,
"properties": {},
"source": "product",
"source_revision": 1
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: [
{
event_id: '<string>',
event_type: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source_account_id: '<string>',
deleted: false,
properties: {},
source: 'product',
source_revision: 1
}
]
})
};
fetch('https://workspace.example.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'events' => [
[
'event_id' => '<string>',
'event_type' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'source_account_id' => '<string>',
'deleted' => false,
'properties' => [
],
'source' => 'product',
'source_revision' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/events"
payload := strings.NewReader("{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/events")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Events
Requires Idempotency-Key (1–160 characters). An acknowledged batch is archived and queued; 202 does not mean normalization or scoring has finished. Reusing a key with different content returns 409. Reserved src_ source identities are rejected.
curl --request POST \
--url https://workspace.example.com/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"events": [
{
"event_id": "<string>",
"event_type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source_account_id": "<string>",
"deleted": false,
"properties": {},
"source": "product",
"source_revision": 1
}
]
}
'import requests
url = "https://workspace.example.com/v1/events"
payload = { "events": [
{
"event_id": "<string>",
"event_type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source_account_id": "<string>",
"deleted": False,
"properties": {},
"source": "product",
"source_revision": 1
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: [
{
event_id: '<string>',
event_type: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source_account_id: '<string>',
deleted: false,
properties: {},
source: 'product',
source_revision: 1
}
]
})
};
fetch('https://workspace.example.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://workspace.example.com/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'events' => [
[
'event_id' => '<string>',
'event_type' => '<string>',
'occurred_at' => '2023-11-07T05:31:56Z',
'source_account_id' => '<string>',
'deleted' => false,
'properties' => [
],
'source' => 'product',
'source_revision' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://workspace.example.com/v1/events"
payload := strings.NewReader("{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://workspace.example.com/v1/events")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://workspace.example.com/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"events\": [\n {\n \"event_id\": \"<string>\",\n \"event_type\": \"<string>\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"source_account_id\": \"<string>\",\n \"deleted\": false,\n \"properties\": {},\n \"source\": \"product\",\n \"source_revision\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Organization-bound Auth0 API access token. Required permissions are listed per operation; this does not offer API-key or client-registration issuance.
Headers
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Required for browser-session mutations. Origin must exactly match the workspace; read the CSRF token from GET /v1/me using the browser session. A bearer-authenticated /v1/me response has csrf_token=null. Not required for bearer-token-only requests.
Stable receipt key; retries must preserve the exact request body.
1 - 160Body
1 - 1000 elementsShow child attributes
Show child attributes
Response
Successful Response